Loading...
Searching...
No Matches
LrMetalink Struct Reference
Metalink parser

`#include <metalink.h>`

## Data Fields

char * | filename
gint64 | timestamp
gint64 | size
GSList * | hashes
GSList * | urls
GSList * | alternates

## Detailed Description

Metalink

Definition at line 57 of file metalink.h.

## Field Documentation

## alternates

GSList* alternates

List of pointers to LrMetalinkAlternates (could be NULL)

Definition at line 63 of file metalink.h.

## filename

char* filename

Filename

Definition at line 58 of file metalink.h.

## hashes

GSList* hashes

List of pointers to LrMetalinkHashes (could be NULL)

Definition at line 61 of file metalink.h.

## size

gint64 size

File size

Definition at line 60 of file metalink.h.

## timestamp

gint64 timestamp

Repo timestamp (the highest ts in the repomd.xml)

Definition at line 59 of file metalink.h.

## urls

GSList* urls

List of pointers to LrMetalinkUrls (could be NULL)

Definition at line 62 of file metalink.h.

The documentation for this struct was generated from the following file:

- metalink.h